config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/brltty.conf.new

( cd lib ; rm -rf libbrlapi.so )
( cd lib ; ln -sf libbrlapi.so.0.5.1 libbrlapi.so )
( cd lib ; rm -rf libbrlapi.so.0.5 )
( cd lib ; ln -sf libbrlapi.so.0.5.1 libbrlapi.so.0.5 )
